Package com.sas.lsaf.query.audit

## Class AuditEntryDetailQuery

- java.lang.Object
- - com.sas.lsaf.query.Query
  - - com.sas.lsaf.query.audit.AuditEntryQuery
    - - com.sas.lsaf.query.audit.AuditEntryDetailQuery

- All Implemented Interfaces:
    `java.io.Serializable`

      public class AuditEntryDetailQuery
      extends AuditEntryQuery

  This class represents an API to generate criteria to query audit entry details.
  Since:
    2.3
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.util.List<Column>` | `ALL` | The value that represents all columns in `AuditEntryDetailQuery`.
    `static Column` | `AUDIT_ENTRY_DETAIL_ATTRIBUTE_ID` | The audit detail column that represents the id of the attribute that changed.
    `static Column` | `AUDIT_ENTRY_DETAIL_ATTRIBUTE_NAME` | The audit detail column that represents the display name of the attribute that changed.
    `static Column` | `AUDIT_ENTRY_DETAIL_ATTRIBUTE_TYPE` | The audit detail column that represents the type of the attribute that changed.
    `static Column` | `AUDIT_ENTRY_DETAIL_ID` | The audit detail column that represents a numeric sequential identifier of the detail entry for each audit record.
    `static Column` | `AUDIT_ENTRY_DETAIL_NEW_VALUE` | The audit detail column that represents the value of the attribute after the change.
    `static Column` | `AUDIT_ENTRY_DETAIL_OLD_VALUE` | The audit detail column that represents the value of the attribute prior to the change.

    - ### Fields inherited from class com.sas.lsaf.query.audit.AuditEntryQuery

      `AUDIT_ENTRY_ACTION, AUDIT_ENTRY_ID, AUDIT_ENTRY_MODE, AUDIT_ENTRY_SOURCE_ID, AUDIT_ENTRY_SOURCE_LOCATION, AUDIT_ENTRY_SOURCE_NAME, AUDIT_ENTRY_SOURCE_TYPE_ID, AUDIT_ENTRY_TIMESTAMP, AUDIT_ENTRY_USERID`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AuditEntryDetailQuery()` |

  - ### Method Summary

    - ### Methods inherited from class com.sas.lsaf.query.Query

      `constrain, getColumns, getConstraint, getOrder, includeColumnNames, isIncludeColumnNames, order, order, select, select, setColumns, setConstraint, setIncludeColumnNames, setOrder, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### AUDIT_ENTRY_DETAIL_ID

          public static final Column AUDIT_ENTRY_DETAIL_ID

      The audit detail column that represents a numeric sequential identifier of the detail entry for each audit record. Starts with 1.

    - #### AUDIT_ENTRY_DETAIL_ATTRIBUTE_ID

          public static final Column AUDIT_ENTRY_DETAIL_ATTRIBUTE_ID

      The audit detail column that represents the id of the attribute that changed.

    - #### AUDIT_ENTRY_DETAIL_ATTRIBUTE_TYPE

          public static final Column AUDIT_ENTRY_DETAIL_ATTRIBUTE_TYPE

      The audit detail column that represents the type of the attribute that changed.

    - #### AUDIT_ENTRY_DETAIL_ATTRIBUTE_NAME

          public static final Column AUDIT_ENTRY_DETAIL_ATTRIBUTE_NAME

      The audit detail column that represents the display name of the attribute that changed.

    - #### AUDIT_ENTRY_DETAIL_OLD_VALUE

          public static final Column AUDIT_ENTRY_DETAIL_OLD_VALUE

      The audit detail column that represents the value of the attribute prior to the change.

    - #### AUDIT_ENTRY_DETAIL_NEW_VALUE

          public static final Column AUDIT_ENTRY_DETAIL_NEW_VALUE

      The audit detail column that represents the value of the attribute after the change.

    - #### ALL

          public static final java.util.List<Column> ALL

      The value that represents all columns in `AuditEntryDetailQuery`.

  - ### Constructor Detail

    - #### AuditEntryDetailQuery

          public AuditEntryDetailQuery()